
datablock ParticleData(DustParticleA)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = 0.125;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 15000;
	lifetimeVarianceMS   = 5000;
	spinSpeed     = 0;
	spinRandomMin = -30.0;
	spinRandomMax =  30.0;
	useInvAlpha   = true;

	colors[0]	= "1 1 1 0.0";
	colors[1]	= "1 1 1 0.15";
	colors[2]	= "1 1 1 0.0";

	sizes[0]	= 0.01;
	sizes[1]	= 0.1;
	sizes[2]	= 0.05;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(DustEmitterA)
{
   ejectionPeriodMS = 75;
   periodVarianceMS = 0;
   ejectionVelocity = 0.1;
   ejectionOffset   = 1;
   velocityVariance = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;

   //lifetimeMS = 5000;
   particles = DustParticleA;   
   
   useEmitterColors = true;

	uiName = "Dust A";
};



datablock ParticleData(DustParticleB)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = 0.125;
	gravityCoefficient   = 0.05;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 15000;
	lifetimeVarianceMS   = 5000;
	spinSpeed     = 0;
	spinRandomMin = -30.0;
	spinRandomMax =  30.0;
	useInvAlpha   = true;

	colors[0]	= "1 1 1 0.0";
	colors[1]	= "1 1 1 0.15";
	colors[2]	= "1 1 1 0.0";

	sizes[0]	= 0.01;
	sizes[1]	= 0.1;
	sizes[2]	= 0.05;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(DustEmitterB)
{
   ejectionperiodMS = 75;
   periodVarianceMS = 0;
   ejectionVelocity = 0.1;
   ejectionOffset   = 1;
   velocityVariance = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;

   //lifetimeMS = 5000;
   particles = DustParticleA;   
   
   useEmitterColors = true;

	uiName = "Dust B";
};





datablock ParticleData(DustParticleC)
{
	textureName          = "base/data/particles/cloud";
	dragCoefficient      = 0.125;
	gravityCoefficient   = 0.05;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 15000;
	lifetimeVarianceMS   = 5000;
	spinSpeed     = 0;
	spinRandomMin = -30.0;
	spinRandomMax =  30.0;
	useInvAlpha   = true;

	colors[0]	= "1 1 1 0.0";
	colors[1]	= "1 1 1 0.15";
	colors[2]	= "1 1 1 0.0";

	sizes[0]	= 0.01;
	sizes[1]	= 0.1;
	sizes[2]	= 0.05;

	times[0]	= 0.0;
	times[1]	= 0.2;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(DustEmitterC)
{
   ejectionperiodMS = 50;
   periodVarianceMS = 0;
   ejectionVelocity = 0.1;
   ejectionOffset   = 2;
   velocityVariance = 0.1;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;

   //lifetimeMS = 5000;
   particles = DustParticleA;   
   
   useEmitterColors = true;

	uiName = "Dust C";
};
